clang-tools 6.0.0

Public Member Functions | List of all members
clang::tidy::utils::NamespaceAliaser Class Reference

`#include <NamespaceAliaser.h>`

## Public Member Functions
| NamespaceAliaser (const SourceManager &SourceMgr)
llvm::Optional< FixItHint > | createAlias (ASTContext &Context, const Stmt &Statement, llvm::StringRef Namespace, const std::vector< std::string > &Abbreviations)
std::string | getNamespaceName (ASTContext &Context, const Stmt &Statement, llvm::StringRef Namespace) const

## Detailed Description

Definition at line 26 of file NamespaceAliaser.h.

## Constructor & Destructor Documentation

## ◆ NamespaceAliaser()

clang::tidy::utils::NamespaceAliaser::NamespaceAliaser | ( | const SourceManager & | SourceMgr | ) |
| explicit

Definition at line 22 of file NamespaceAliaser.cpp.

## Member Function Documentation

## ◆ createAlias()

Optional< FixItHint > clang::tidy::utils::NamespaceAliaser::createAlias | ( | ASTContext & | Context,
|  | const Stmt & | Statement,
|  | llvm::StringRef | Namespace,
|  | const std::vector< std::string > & | Abbreviations
| ) |  |

Definition at line 31 of file NamespaceAliaser.cpp.

## ◆ getNamespaceName()

std::string clang::tidy::utils::NamespaceAliaser::getNamespaceName | ( | ASTContext & | Context,
|  | const Stmt & | Statement,
|  | llvm::StringRef | Namespace
| ) |  | const

Definition at line 82 of file NamespaceAliaser.cpp.

The documentation for this class was generated from the following files:

- NamespaceAliaser.h
- NamespaceAliaser.cpp